### Hierarchy

- ObjectRef

## Index

### Constructors

- constructor

### Properties

- description
- objectId
- type

### Methods

- toString
- fromString

## Constructors

### constructor

- new ObjectRef(objectId: string, description: string, type?: string): ObjectRef

- - Defined in models/ObjectRef.ts:3

  #### Parameters

  - ##### objectId: string

  - ##### description: string

  - ##### Default value type: string = TypeNames.ObjectRefTypeName

  #### Returns ObjectRef

## Properties

### description

description: string

- Defined in models/ObjectRef.ts:4

### objectId

objectId: string

- Defined in models/ObjectRef.ts:4

### type

type: string

- Defined in models/ObjectRef.ts:4

## Methods

### toString

- toString(): string

- - Defined in models/ObjectRef.ts:6

  #### Returns string

### Static fromString

- fromString(objectRef: any): ObjectRef

- - Defined in models/ObjectRef.ts:10

  #### Parameters

  - ##### objectRef: any

  #### Returns ObjectRef

Generated using TypeDoc